<?php
class Arquivo_crud_model extends grocery_CRUD_Model  {
 
    function get_list()
    {
        /*SELECT 

        nwl_log_emails.id_arquivo ID, 
        nome,
        sum(CASE enviado WHEN 0 THEN 0 ELSE 1 END) enviado, 
        sum(CASE abriu WHEN 0 THEN 0 ELSE 1 END) abriu, 
        SUM(CASE clicou WHEN 0 THEN 0 ELSE 1 END) clicou, 
        sum(CASE clicou_site WHEN 0 THEN 0 ELSE 1 END) clicou_site,
        sum(CASE enviado WHEN 0 THEN 1 ELSE 0 END) falhou, 
        COUNT(*) qnt 
        
        FROM nwl_log_emails
        JOIN nwl_arquivo ON nwl_arquivo.id_arquivo = nwl_log_emails.id_arquivo
        group by nwl_log_emails.id_arquivo*/
        
        
        
        
    	$this->db->select('nwl_log_emails.id_arquivo id, 
        nome,
        sum(CASE enviado WHEN 0 THEN 0 ELSE 1 END) enviado, 
        sum(CASE abriu WHEN 0 THEN 0 ELSE 1 END) abriu, 
        SUM(CASE clicou WHEN 0 THEN 0 ELSE 1 END) clicou, 
        sum(CASE clicou_site WHEN 0 THEN 0 ELSE 1 END) clicou_site,
        sum(CASE enviado WHEN 0 THEN 1 ELSE 0 END) falhou, 
        COUNT(*) qnt,
        datetime', false);
    	$this->db->from('nwl_log_emails');
    	$this->db->join('nwl_arquivo','nwl_arquivo.id_arquivo = nwl_log_emails.id_arquivo');
        $this->db->group_by('nwl_log_emails.id_arquivo');
    	$query = $this->db->get();
    	if($query->num_rows() > 0)
    	{
        	$return = array();
        	foreach($query->result() as $value)
        	{
        	    $return[$value->id] = $value; 
        	}
        	return $return;
    	}
        return $query->result();
    }
    
  	function get_total_results()
  	{
  		$this->db->select('nwl_log_emails.id_arquivo id, 
        nome,
        sum(CASE enviado WHEN 0 THEN 0 ELSE 1 END) enviado, 
        sum(CASE abriu WHEN 0 THEN 0 ELSE 1 END) abriu, 
        SUM(CASE clicou WHEN 0 THEN 0 ELSE 1 END) clicou, 
        sum(CASE clicou_site WHEN 0 THEN 0 ELSE 1 END) clicou_site,
        sum(CASE enviado WHEN 0 THEN 1 ELSE 0 END) falhou, 
        COUNT(*) qnt,
        datetime', false);
    	$this->db->from('nwl_log_emails');
    	$this->db->join('nwl_arquivo','nwl_arquivo.id_arquivo = nwl_log_emails.id_arquivo');
        $this->db->order_by('nwl_log_emails.id_arquivo', 'asc');
    	$query = $this->db->get();
    	if($query->num_rows() > 0)
    	{
        	$return = array();
        	foreach($query->result() as $value) //
        	{
        	    $return[$value->id] = $value; 
        	}
        	return count($return);
    	}
    	return 0;
  	}
}